org.openstreetmap.josm.plugins.streetside.cubemap

## Enum CameraTransformer.RotateOrder

- java.lang.Object
- - java.lang.Enum<CameraTransformer.RotateOrder>
  - - org.openstreetmap.josm.plugins.streetside.cubemap.CameraTransformer.RotateOrder

- All Implemented Interfaces:
    Serializable, Comparable<CameraTransformer.RotateOrder>
  Enclosing class:
    CameraTransformer

      public static enum CameraTransformer.RotateOrder
      extends Enum<CameraTransformer.RotateOrder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `XYZ`
    `XZY`
    `YXZ`
    `YZX`
    `ZXY`
    `ZYX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CameraTransformer.RotateOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CameraTransformer.RotateOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XYZ

          public static final CameraTransformer.RotateOrder XYZ

    - #### XZY

          public static final CameraTransformer.RotateOrder XZY

    - #### YXZ

          public static final CameraTransformer.RotateOrder YXZ

    - #### YZX

          public static final CameraTransformer.RotateOrder YZX

    - #### ZXY

          public static final CameraTransformer.RotateOrder ZXY

    - #### ZYX

          public static final CameraTransformer.RotateOrder ZYX

  - ### Method Detail

    - #### values

          public static CameraTransformer.RotateOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CameraTransformer.RotateOrder c : CameraTransformer.RotateOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CameraTransformer.RotateOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

JOSM Plugins